
function Skinner:ArkInventory()
	if not self.db.profile.ContainerFrames then return end
		
	self:SecureHook(ARKINV, "ContainerGenerateActual", function(loc_id)
--		self:Debug("ARKINV-ContainerGenerateActual")
		self:keepRegions(ARKINV_MainFrame1Title, {})
		self:applySkin(ARKINV_MainFrame1Title)
		self:keepRegions(ARKINV_MainFrame1Container, {})
		self:applySkin(ARKINV_MainFrame1Container)
		self:keepRegions(ARKINV_MainFrame1BagChanger, {})
		self:applySkin(ARKINV_MainFrame1BagChanger)
		self:keepRegions(ARKINV_MainFrame1Status, {})
		if ARKINV_MainFrame1StatusText then ARKINV_MainFrame1StatusText:SetAlpha(1) end
		self:applySkin(ARKINV_MainFrame1Status)
		self:keepRegions(ARKINV_MainFrame2Title, {})
		self:applySkin(ARKINV_MainFrame2Title)
		self:keepRegions(ARKINV_MainFrame2Container, {})
		self:applySkin(ARKINV_MainFrame2Container)
		self:keepRegions(ARKINV_MainFrame2BagChanger, {})
		self:applySkin(ARKINV_MainFrame2BagChanger)
		self:keepRegions(ARKINV_MainFrame2Status, {})
		if ARKINV_MainFrame2StatusText then	ARKINV_MainFrame2StatusText:SetAlpha(1) end
		self:applySkin(ARKINV_MainFrame2Status)
		self:keepRegions(ARKINV_MainFrame3Title, {})
		self:applySkin(ARKINV_MainFrame3Title)
		self:keepRegions(ARKINV_MainFrame3Container, {})
		self:applySkin(ARKINV_MainFrame3Container)
		self:keepRegions(ARKINV_MainFrame3BagChanger, {})
		self:applySkin(ARKINV_MainFrame3BagChanger)
		self:keepRegions(ARKINV_MainFrame3Status, {})
		if ARKINV_MainFrame3StatusText then ARKINV_MainFrame3StatusText:SetAlpha(1) end
		self:applySkin(ARKINV_MainFrame3Status)
		end)

end
